import type { ResponseUser } from '../models/ResponseUser';
import type { ResponseUserPermissions } from '../models/ResponseUserPermissions';
import type { UpdateUser } from '../models/UpdateUser';
export declare class MeService {
    /**
     * Get
     * Lists all information about yourself.
     * @result ResponseUser
     * @throws ApiError
     */
    static meControllerGet(): Promise<ResponseUser>;
    /**
     * Put
     * Update the yourself. <br> You can't edit your own permissions or group memberships here - Please use the /api/users/:id enpoint instead. <br> Please remember that ids can't be changed.
     * @param requestBody UpdateUser
     * @result ResponseUser
     * @throws ApiError
     */
    static meControllerPut(requestBody?: UpdateUser): Promise<ResponseUser>;
    /**
     * Remove
     * Delete yourself. <br> You have to confirm your decision by providing the ?force=true query param. <br> If there are any permissions directly granted to you they will get deleted as well.
     * @param force
     * @result ResponseUser
     * @throws ApiError
     */
    static meControllerRemove(force?: boolean): Promise<ResponseUser>;
    /**
     * Get permissions
     * Lists all permissions granted to the you sorted into directly granted and inherited as permission response objects.
     * @result ResponseUserPermissions
     * @throws ApiError
     */
    static meControllerGetPermissions(): Promise<ResponseUserPermissions>;
}
